import { ContentfulCollection } from './collection';
import { Metadata } from './metadata';
import { EntitySys } from './sys';
export interface AssetDetails {
    size: number;
    image?: {
        width: number;
        height: number;
    };
}
export interface AssetFile {
    url: string;
    details: AssetDetails;
    fileName: string;
    contentType: string;
}
export interface AssetFields {
    title?: string;
    description?: string;
    file?: AssetFile;
}
/**
 * @category Entities
 */
export interface Asset {
    sys: AssetSys;
    fields: AssetFields;
    metadata: Metadata;
}
export declare type AssetMimeType = 'attachment' | 'plaintext' | 'image' | 'audio' | 'video' | 'richtext' | 'presentation' | 'spreadsheet' | 'pdfdocument' | 'archive' | 'code' | 'markup';
export declare type AssetCollection = ContentfulCollection<Asset>;
export declare type AssetSys = EntitySys;
