export declare type LinkType = 'Space' | 'ContentType' | 'Environment' | 'Entry' | 'Tag' | 'User';
export interface Link<T extends LinkType> {
    type: 'Link';
    linkType: T;
    id: string;
}
export declare type SpaceLink = Link<'Space'>;
export declare type ContentTypeLink = Link<'ContentType'>;
export declare type EnvironmentLink = Link<'Environment'>;
export declare type EntryLink = Link<'Entry'>;
export declare type TagLink = Link<'Tag'>;
export declare type UserLink = Link<'User'>;
