import { BasicEntryField, EntryFields } from '../entry';
import { ConditionalQueries } from './util';
declare type SupportedTypes = Exclude<BasicEntryField, EntryFields.RichText> | undefined;
/**
 * @desc equality - search for exact matches
 * @see [Documentation]{@link https://www.contentful.com/developers/docs/references/content-delivery-api/#/reference/search-parameters/equality-operator}
 */
export declare type EqualityFilter<Fields, Prefix extends string> = ConditionalQueries<Fields, SupportedTypes, Prefix, ''>;
/**
 * @desc inequality - exclude matching items
 * @see [Documentation]{@link https://www.contentful.com/developers/docs/references/content-delivery-api/#/reference/search-parameters/inequality-operator}
 */
export declare type InequalityFilter<Fields, Prefix extends string> = ConditionalQueries<Fields, SupportedTypes, Prefix, '[ne]'>;
export {};
