import { ConditionalPick } from 'type-fest';
export declare type FieldsType = Record<string, any>;
export declare type BaseOrArrayType<T> = T extends Array<infer U> ? U : T;
export declare type NonEmpty<T> = T extends Record<string, never> ? never : T;
export declare type ConditionalFixedQueries<Fields, SupportedTypes, ValueType, Prefix extends string, QueryFilter extends string = ''> = {
    [FieldName in keyof ConditionalPick<Fields, SupportedTypes> as `${Prefix}.${string & FieldName}${QueryFilter}`]?: ValueType;
};
export declare type ConditionalQueries<Fields, SupportedTypes, Prefix extends string, QueryFilter extends string = ''> = {
    [FieldName in keyof ConditionalPick<Fields, SupportedTypes> as `${Prefix}.${string & FieldName}${QueryFilter}`]?: Fields[FieldName] extends Array<infer T> ? T[] : Fields[FieldName];
};
